
import java.io.*;
import java.net.*;
import java.nio.*;
import java.nio.channels.*;
import java.nio.file.*;
import java.util.*;


class MusicRecord {
    private String track_url_;
    private String title_;
    private String artist_;
    private String year_;
    private String audio_url_;
    
    public MusicRecord(String track_url,String title, String artist, String year, String audio_url) {
	track_url_ = track_url;
	title_  = title;
	artist_ = artist;
	year_   = (year.matches("^\\s*$")) ? null : year;
	audio_url_  = audio_url;
    }

    public String getAudioURL() {
	return audio_url_;
    }
    
    public String toString()
    {
	
	return String.format("[title=%s, artist=%s, year=%s; track_url=%s, audio_url=%s]",
			     title_,artist_,year_, track_url_, audio_url_);
    }
    
}

